package com.djhk.uav.sysPolice.domain;


import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 警员信息ES
对象 police_info_es
 * 
 * @author qpc
 * @date 2025-04-14
 */
public class PoliceInfoEs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String fhRksj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String GXSJ;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String HH;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String HIVECODE;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String JGBM;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String JH;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String MC;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String mdId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String RYID;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String RYTX;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String SFYX;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String SFZH;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String XM;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String XTMC;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ZW;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ZZJGID;

    public void setFhRksj(String fhRksj) 
    {
        this.fhRksj = fhRksj;
    }

    public String getFhRksj() 
    {
        return fhRksj;
    }
    public void setGXSJ(String GXSJ) 
    {
        this.GXSJ = GXSJ;
    }

    public String getGXSJ() 
    {
        return GXSJ;
    }
    public void setHH(String HH) 
    {
        this.HH = HH;
    }

    public String getHH() 
    {
        return HH;
    }
    public void setHIVECODE(String HIVECODE) 
    {
        this.HIVECODE = HIVECODE;
    }

    public String getHIVECODE() 
    {
        return HIVECODE;
    }
    public void setJGBM(String JGBM) 
    {
        this.JGBM = JGBM;
    }

    public String getJGBM() 
    {
        return JGBM;
    }
    public void setJH(String JH) 
    {
        this.JH = JH;
    }

    public String getJH() 
    {
        return JH;
    }
    public void setMC(String MC) 
    {
        this.MC = MC;
    }

    public String getMC() 
    {
        return MC;
    }
    public void setMdId(String mdId) 
    {
        this.mdId = mdId;
    }

    public String getMdId() 
    {
        return mdId;
    }
    public void setRYID(String RYID) 
    {
        this.RYID = RYID;
    }

    public String getRYID() 
    {
        return RYID;
    }
    public void setRYTX(String RYTX) 
    {
        this.RYTX = RYTX;
    }

    public String getRYTX() 
    {
        return RYTX;
    }
    public void setSFYX(String SFYX) 
    {
        this.SFYX = SFYX;
    }

    public String getSFYX() 
    {
        return SFYX;
    }
    public void setSFZH(String SFZH) 
    {
        this.SFZH = SFZH;
    }

    public String getSFZH() 
    {
        return SFZH;
    }
    public void setXM(String XM) 
    {
        this.XM = XM;
    }

    public String getXM() 
    {
        return XM;
    }
    public void setXTMC(String XTMC) 
    {
        this.XTMC = XTMC;
    }

    public String getXTMC() 
    {
        return XTMC;
    }
    public void setZW(String ZW) 
    {
        this.ZW = ZW;
    }

    public String getZW() 
    {
        return ZW;
    }
    public void setZZJGID(String ZZJGID) 
    {
        this.ZZJGID = ZZJGID;
    }

    public String getZZJGID() 
    {
        return ZZJGID;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fhRksj", getFhRksj())
            .append("GXSJ", getGXSJ())
            .append("HH", getHH())
            .append("HIVECODE", getHIVECODE())
            .append("JGBM", getJGBM())
            .append("JH", getJH())
            .append("MC", getMC())
            .append("mdId", getMdId())
            .append("RYID", getRYID())
            .append("RYTX", getRYTX())
            .append("SFYX", getSFYX())
            .append("SFZH", getSFZH())
            .append("XM", getXM())
            .append("XTMC", getXTMC())
            .append("ZW", getZW())
            .append("ZZJGID", getZZJGID())
            .toString();
    }
}
